#ifndef __SERVICES_H__
#define __SERVICES_H__

/***************************************************************************
                          services.h  -  description
                             -------------------
    begin                : Mon Mar 12 2001
    copyright            : (C) 2001 by Zvika Brakerski, Asaf Koren
    email                : zvika@eng.tau.ac.il
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <netinet/in.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <arpa/inet.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>


// How much time we are willing to wait to read the rest of the information
#define R_GIVEUP_SEC 	40
#define R_GIVEUP_USEC	0

// How much time we are willing to wait to write the rest of the information
#define W_GIVEUP_SEC 	40
#define W_GIVEUP_USEC	0


// Prototypes
 char *receive_message(int s);
 void clean_buf(char *buf);
 unsigned long message_type(char *msg);
 int send_message(int s, char *msg, unsigned long len);
 int announce_connection(struct sockaddr_in *remote_addr);



#endif	//#ifndef __SERVICES_H__
