#ifndef __CONTACTS_H__
#define __CONTACTS_H__

/***************************************************************************
                          contacts.h  -  description
                             -------------------
    begin                : Thu Apr 12 2001
    copyright            : (C) 2001 by Zvika Brakerski, Asaf Koren
    email                : zvika@eng.tau.ac.il
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

 /*
 This file contains prototypes and definitions for handling the
 contacts part of the environment.
 */

#include "db.h"
#include "connector.h"


// Prototypes required by other modules
void init_contacts(link_env *penv);
void start_contact_list(link_env *penv);
void term_contact_list(link_env *penv);
void another_contact(link_env *penv, char *cname, unsigned long cuin);
void remove_contact(link_env *penv, unsigned long cuin);


#endif	//#ifndef __CONTACTS_H__
