#ifndef __HANDLERS_H__
#define __HANDLERS_H__

/***************************************************************************
                          handlers.h  -  description
                             -------------------
    begin                : Tue Mar 13 2001
    copyright            : (C) 2001 by Zvika Brakerski, Asaf Koren
    email                : zvika@eng.tau.ac.il
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


/*
Header file for message handlers
*/

#include <netinet/in.h>
#include <sys/time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string.h>

#include "connector.h"
#include "services.h"
#include "contacts.h"


// A macro to getting a link's environment pointer
#define ENV(pL) ((pL)->icq_ProxyHost)


// Prototype for functions used in other modules
int handle_message(link_env *penv);
int clean_env(link_env *penv);


#endif	//#ifndef __HANDLERS_H__
